[MOD] Install git out

This commit is contained in:
lda 2023-11-02 20:21:31 +01:00
parent dac319ab19
commit 8e425bfa3a
Signed by: lda
GPG key ID: 6898757653ABE3E6

6
setup
View file

@ -12,9 +12,11 @@ install_pkg() {
case $DISTRO in
"Ubuntu"|"Debian GNU/Linux")
apt install -y $1
[ $? -eq 0 ] || exit 1
;;
"Arch Linux")
pacman -Syu --noconfirm $1
[ $? -eq 0 ] || exit 1
;;
esac
}
@ -34,6 +36,7 @@ install_compiler() {
CC=gcc
[ $COMPILER = 'clang' ] && CC=clang
esac
install_pkg git # Everyone has git!
echo '::endgroup::'
}
install_ssl() {
@ -41,7 +44,8 @@ install_ssl() {
case $DISTRO in
"Ubuntu"|"Debian GNU/Linux")
# Doesn't seem like Debian got LibreSSL
[ $SSL = 'libressl' ] && echo "::error ::LibreSSL is not on Debian"
[ $SSL = 'libressl' ] && echo "::error:: LibreSSL is not on Debian"
[ $SSL = 'libressl' ] && exit 1
install_pkg openssl
;;
"Arch Linux")